package cn.wisenergy.common.utils.exception;

/**
 * 响应码基类
 *
 * @author wyy
 * @data 2019/08/15
 */
public enum BASE_RESP_CODE_ENUM {
    /********************* SpringMBoot 系统异常 **********************/
    MIS_REQ_PARAM("400", "请求参数丢失"),
    NO_AUTH_REQUEST("401", "未授权"),
    REJECT_REQUEST("403", "未授权"),
    RESOURCE_NOT_FOUND("404", "请求的资源不存在"),
    METHOD_NOT_SUPPORTED("405", "不支持的请求方法"),
    MEDIA_TYPE_NOT_ACCEPT("406", "无法接受请求中的媒体类型"),
    REQUEST_TIME_OUT("408", "无法接受请求中的媒体类型"),
    MEDIA_TYPE_NOT_SUPPORTED("415", "不支持的媒体类型"),
    SERVER_ERROR("500", "获取数据异常"),
    INPUT_PARAM_IS_NULL("600", "入参为空"),
    WORK_ORDER_INFO_IS_NULL("601", "工单信息为空"),
    USER_ADD_FAIL("602", "新建用户失败"),
    UPDATE_DATA_FAIL("603", "更新数据失败"),
    USER_UPDATE_PASSWORD_FAIL("604", "用户修改密码失败"),
    UPDATE_PASSWORD_FAIL_OLD_PASSWORD_ERROR("605", "修改密码失败,旧密码错误"),
    RECORD_WORD_ADD_FAIL("606", "字段添加失败"),
    USER_RESET_PASSWORD_FAIL("607", "用户重置密码失败"),
    FILE_NOT_NULL("608", "上传文件不能为空"),
    STATISTICS_RECORD_DATA_FAIL("609", "统计档案数据失败"),
    EQUIPMENT_INFO_IS_NULL("610", "设备信息为空"),
    QUERY_DATA_IS_NULL("611", "获取数据为空"),
    WORK_TIME_NOT_OVER_EIGHT("611", "每日累计工时不超过8小时"),
    USER_ACCOUNT_ALREADY_EXIST("612", "用户账号已存在"),
    USER_PHONE_ALREADY_EXIST("613", "该手机号已被注册"),
    INSERT_DATA_IS_FAIL("614", "插入数据失败"),
    FILE_INCORRETC_FORMAT("615", "文件格式不正确"),
    RECORD_WORD_REPEAT("616", "字段名称重复"),
    WORD_NAME_REPEAT("617", "字段名称请勿重复"),
    QUERY_USER_INFO_FAIL("618", "该用户不存在"),
    WORK_ORDER_ALREADY_COMMIT("619", "工单类型重复,不能重复填报"),
    WORK_TIME_OVER_NOW_DAY("620", "工单日期不能大于当天"),
    INSERT_WORK_COLLECT_DATA_FAIL("621", "插入工时单汇总信息失败"),
    NO_JOIN_EVERY_PROJECT_PLASE_JION("622", "请选择项目名称"),
    THE_USER_NOT_MANAGER_PLASE_MANAGER_LOGIN("623", "您不是管理员，请登录管理员账号"),
    DEPT_NOT_HAVE_USER("624", "该部门下没有人员"),
    PROJECT_NOT_HAVE_USER("624", "该部门下没有项目"),
    USER_LOGIN_NAME_OR_PASSWORD_IS_ERROR("625", "用户名或密码不正确"),
    DELETE_OLD_WORK_ORDER_FAIL("626","删除旧工单数据失败"),
    DUPLICATEROLEPERMISSIONS("627","角色权限重复！"),
    DES_NOT_NULL("628","工作简述不能为空"),
    WORK_PROJECT_IS_NULL("629","项目或商机为空"),
    WORK_ORDER_END("630", "该项目暂无待审批工单"),
    DEPT_IS_NULL("631","该部门不存在"),
    USER_NOT_LEVEL("632","该用户没有权限，请联系管理员添加权限"),
    DEPT_NOT_FOUND("633", "部门信息未找到"),
    FAILEDTO_DELETE_DATA("634","删除数据失败"),
    CENTRE_NOT_FOUND("635","中心信息未找到"),
    TIME_NOT_IS_NULL("636","请选择今日工时"),
    WORKDAY_NOT_NULL("637","工时日期不能为空"),
    PROJECT_NOT_NULL("638","项目类型不能为空"),
    NEW_PASSWORD_IS_HTE_SAME_OLD_PASSWORD("639","新密码不能与旧密码相同"),
    PASSWORD_FORMAT_ERROR("640","密码由6到16位数字组成"),
    INCOMPLETE_WORK_ORDER_INFORMATION("621","请填写完整的工单信息"),
    HAVE_ORDER_DELETE("643", "有工单被用户删除，审批失败，请重新审批"),
    ORDER_EXAMINE("644","该工单已经被审批，请刷新查看"),
    NO_WORK_ORDERS_HAVE_BEEN_REJECTED("645", "暂无驳回未提交工单"),
    LEAVE_JOB_USER("646","账号状态异常，请联系管理员"),
    PROJECT_NOT_USER("648", "该项目还没有参与人员"),
    theNewContent_IsEqual_ToTheOriginal_Content("649","更新内容与旧内容一致，更新失败"),
    REASON_CANNOT_BE_EMPTY("650", "更变原因不能为空"),
    START_NOT_THAN_END_DATE("651", "开始时间不能大于结束时间"),
    HOLIDAY_NOT_IS_NULL("652", "该节假日已经不存在，请刷新页面!"),
    ORDINARY_MEMBERS_ARE_MANAGEMENT("653", "普通成员不能有管理角色"),
    REPEAT_WITH_OLDTIME("654", "日期与其他节假日或工作日冲突"),
    BUDGET_CANNOT_BELESSTHAN_ZERO("655", "预算不能小于0"),
    ITEMOADUPLICATE("656", "编号重复"),
    NO_AUTHORITY("657", "暂无该权限"),
    THEPERIOD_CANNOT_BELESS_THANONEDAY("658", "设置的期限不能小于1天"),
    DUPLICATE_HOLIDAY_NAME("659", "节假日名称重复"),
    DEPARTMENT_MANAGER_ALREADY_EXISTS("660", "该部门已有部门负责人"),
    CENTERMANAGERALREADYEXISTS("661","该中心已经有中心负责人"),
    ROLE_CANNOTBE_EMPTY("662", "设置的角色不能为空"),
    NOADMIN_ISTRATIVE_RIGHTS("663", "设置的负责人没有管理权限"),
    CHOOSEATLEASTONEROLE("667", "至少保留一个角色"),

    ;




    /**
     * 错误编码
     */
    public String code;

    /**
     * 错误编码信息
     */
    public String msg;

    /**
     * 构造函数
     *
     * @param code 编码
     * @param msg  编码信息
     */
    BASE_RESP_CODE_ENUM(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 获取编码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置编码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取编码信息
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 设置编码信息
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }
}
